#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon with JS scripting engine
Name:           kjsembed
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Svg)

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires:  karchive-devel >= %version
BuildRequires:  kjs-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kdoctools-devel >= %version

%description
KDE Frameworks 5 Tier 3 addon with JS scripting engine

%files -f kjsembed5.lang
%_kf5_bindir/kjscmd5
%_kf5_bindir/kjsconsole
%_kf5_mandir/man1/kjscmd5.1.*
%_kf5_mandir/*/man1/kjscmd5.1.*

#--------------------------------------------------------------------

%define kf5jsembed_major 5
%define libkf5jsembed %mklibname kf5jsembed %{kf5jsembed_major}

%package -n %libkf5jsembed
Summary:  KDE Frameworks 5 Tier 3 addon with JS scripting engine
Group:        System/Libraries

%description -n %libkf5jsembed
KDE Frameworks 5 Tier 3 addon with JS scripting engine

%files -n %libkf5jsembed
%_kf5_libdir/libKF5JsEmbed.so.%{kf5jsembed_major}*

#--------------------------------------------------------------------

%define kf5jsembed_devel %mklibname kf5jsembed -d

%package -n %kf5jsembed_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5jsembed = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5jsembed_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5jsembed_devel
%_kf5_includedir/KJsEmbed
%_kf5_libdir/cmake/KF5JsEmbed
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang kjsembed5


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088979
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074551
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072769
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058370
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051416
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045125
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041347
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036749
- fix filelist
- add missing tarball

  + neoclust <neoclust>
    - New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014355
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999606
- New version 5.21.0
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942264
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921327
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909917
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900577
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899387
- Rebuild against fixed extra-cmake-modules
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888204
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881428
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862989
- New version 5.13.0
- Plasma Mass Rebuild - Rebuild for new kf5-macros
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849303
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804066
- New version 5.5.0
- New version 5.1.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Jul 19 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653768
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611292
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599825
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597466
- imported package kjsembed

